#
# spec file for package nfs4-acl-tools
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nfs4-acl-tools
Version:        0.3.3
Release:        lp151.3.2
Summary:        Command line tools for managing ACLs over NFSv4
License:        BSD-3-Clause
Group:          System/Filesystems
Url:            http://www.citi.umich.edu/projects/nfsv4/linux/

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}-git4cb4187e83.tar.bz2
# PATCH-FIX-UPSTREAM allow-spaces-in-principal-names.patch bnc#772896 nfbrown@suse.com
Patch1:         allow-spaces-in-principal-names.patch
Patch2:         nfs-acl-tools-xattr.patch
Patch3:         0001-nfs4_ace_from_string-ignore-inheritance-ACEs-on-non-.patch
BuildRequires:  libtool

%description
Command line tools for viewing and setting ACLs (Access Control Lists)
when using NFSv4 to access a remote filesystem. The remote filesystem
must also support ACLs.

%prep
%setup -q -n %{name}-%{version}-git4cb4187e83
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIE"
export LDFLAGS="-pie"
sed -e 's,--acdir=,-I ,' -i Makefile
make

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc COPYING README TODO VERSION
%{_bindir}/nfs4_editfacl
%{_bindir}/nfs4_getfacl
%{_bindir}/nfs4_setfacl
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Wed Oct  3 2018 nfbrown@suse.com
- 0001-nfs4_ace_from_string-ignore-inheritance-ACEs-on-non-.patch
  Allow recursive set_acl to set inheritance flags.
  (bsc#967251, bsc#1104803)
* Thu May 29 2014 crrodriguez@opensuse.org
- nfs-acl-tools-xattr.patch For over 10 years the *xattr*
  functions have been in glibc instead of libattr, use them instead.
* Mon Mar 24 2014 nfbrown@suse.com
- allow-spaces-in-principal-names.patch
  upstream patch to allow spaces in principal names.
  (bnc#772896)
* Sun Jun 16 2013 coolo@suse.com
- aclocal 1.13 doesn't have a --acdir option
* Wed Mar  6 2013 cfarrell@suse.com
- license update: BSD-3-Clause
  GPL matches are for e.g. Makefile. Consolidate to BSD (as per Fedora)
* Wed Mar  6 2013 coolo@suse.com
- update license to new format
* Wed Aug 24 2011 dmueller@suse.de
- remove strip to generate debuginfo
- remove generic INSTALL file
* Wed Aug 17 2011 nfbrown@novell.com
- Initial check-in of nfs4-acl-tools: FATE:312654
